# Poco

# class LineEnding

Library: Foundation
Package: Streams
Header: Poco/LineEndingConverter.h

## Description

This class defines valid line ending sequences for InputLineEndingConverter and OutputLineEndingConverter.

## Variables

### NEWLINE_CR

static const std::string NEWLINE_CR;

### NEWLINE_CRLF

static const std::string NEWLINE_CRLF;

### NEWLINE_DEFAULT

static const std::string NEWLINE_DEFAULT;

### NEWLINE_LF

static const std::string NEWLINE_LF;